51Testing软件测试论坛

 找回密码
 (注-册)加入51Testing

QQ登录

只需一步,快速开始

参加周末精品班 为明天蓄力!【长期招募】博为峰网校招聘兼职讲师!【直播】Python自动化测试框架开发高级实战!>>
学软件开发,3大紧缺职位任你挑!【专家85期】浅谈自动化测试与测试用例的编写!【51Testing专访】王磊:深度解析性能测试
测试知识大闯关101期活动热播中《51测试天地》有奖征文!自学软件测试那点事
查看: 394|回复: 2

python利用uiautomator编写自动化脚本遇到的问题,希望大家帮忙解答。。

[复制链接]

该用户从未签到

发表于 2017-9-6 16:04:53 | 显示全部楼层 |阅读模式
20测试积点
做手机自动化工测试,利用uiautomator编写自动化脚本,在android6.0的设备上运行时正常的,现在测试android7.0的设备,就会出现如下错误,请大神指教是什么问题?要怎么解决?
Traceback (most recent call last):
  File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36\lib\site-packages\urllib3\connection.py", line 141, in _new_conn
    (self.host, self.port), self.timeout, **extra_kw)
  File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36\lib\site-packages\urllib3\util\connection.py", line 83, in create_connection
    raise err
[Decode error - output not utf-8]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36\lib\site-packages\urllib3\connectionpool.py", line 600, in urlopen
[Decode error - output not utf-8]
    server.start(timeout=30)
  File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36\lib\site-packages\uiautomator\__init__.py", line 481, in start
    raise IOError("RPC server not started!")
OSError: RPC server not started!
[Finished in 348.7s with exit code 1]


回复

使用道具 举报

  • TA的每日心情
    擦汗
    4 天前
  • 签到天数: 473 天

    连续签到: 1 天

    [LV.9]测试副司令

    发表于 2017-9-7 14:45:13 | 显示全部楼层
    Traceback (most recent call last):
      File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36\lib\site-packages\urllib3\connection.py", line 141, in _new_conn
        (self.host, self.port), self.timeout, **extra_kw)
      File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36\lib\site-packages\urllib3\util\connection.py", line 83, in create_connection
        raise err
    [Decode error - output not utf-8]

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36\lib\site-packages\urllib3\connectionpool.py", line 600, in urlopen
    [Decode error - output not utf-8]
        server.start(timeout=30)
      File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36\lib\site-packages\uiautomator\__init__.py", line 481, in start
        raise IOError("RPC server not started!")
    OSError: RPC server not started!
    [Finished in 348.7s with exit code 1]

    评分

    参与人数 1测试积点 +10 收起 理由
    lsekfe + 10 奖励原因:乐于助人

    查看全部评分

    回复

    使用道具 举报

  • TA的每日心情
    擦汗
    4 天前
  • 签到天数: 473 天

    连续签到: 1 天

    [LV.9]测试副司令

    发表于 2017-9-7 14:48:10 | 显示全部楼层
    语言转换错误。
    Decode error - output not utf-8

    安装一个支持utf-8插件
    回复

    使用道具 举报

    本版积分规则

    关闭

    站长推荐上一条 /4 下一条

    小黑屋|手机版|Archiver|51Testing软件测试网 ( 沪ICP备05003035号 关于我们

    GMT+8, 2017-9-26 17:13 , Processed in 0.171876 second(s), 22 queries .

    Powered by Discuz! X3.2

    © 2001-2017 Comsenz Inc.

    快速回复 返回顶部 返回列表